# OpenShaderDesigner: OpenShaderDesigner::EventSystem Class Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::EventSystem Class Reference

EventSystem for posting Events to be handled. More...

`#include <EventSystem.h>`

## Static Public Member Functions

static void | PostEvent (const Event *)
| Post an Event to be Handled.
template<typename T >
static void | RegisterHandler (EventHandler< T > *)
| Register an EventHandler with the EventSystem.
template<typename T >
static void | UnregisterHandler (EventHandler< T > *)
| Unregister an EventHandler with the EventSystem.

## Detailed Description

EventSystem for posting Events to be handled.

## Member Function Documentation

## RegisterHandler()

template<typename T >

void OpenShaderDesigner::EventSystem::RegisterHandler | ( | EventHandler< T > * | handler | ) |

static

Register an EventHandler with the EventSystem.

Template Parameters

  T | ComponentType of Event handled by the EventHandler.

## UnregisterHandler()

template<typename T >

void OpenShaderDesigner::EventSystem::UnregisterHandler | ( | EventHandler< T > * | handler | ) |

static

Unregister an EventHandler with the EventSystem.

Template Parameters

  T | ComponentType of Event handled by the EventHandler.

The documentation for this class was generated from the following files:

- Include/Core/EventSystem.h
- Source/Core/EventSystem.cpp